/*
** Module   : terminal.h
** Abstract : Header file for text-based console functions.
**            This is used by terminal.c, terminal_(linix|win).c
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 EVL 20130724 Created initial version for console CHUI declarations.
*/

#include <ncurses.h>
#include <term.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <signal.h>
#include <termios.h>
#include <fcntl.h>
#include <jni.h>

JNIEXPORT jint JNICALL getACSchar(JNIEnv *, jclass, jint);

JNIEXPORT jint JNICALL getAttribute(JNIEnv *, jclass, jint);

JNIEXPORT void JNICALL initConsole(JNIEnv *, jclass);

JNIEXPORT void JNICALL addArrayNative(JNIEnv *, jobject, jintArray, jint, jint);

JNIEXPORT void JNICALL addStringNative(JNIEnv *, jobject, jbyteArray, jint, jint, jint);

JNIEXPORT void JNICALL beepNative(JNIEnv *, jobject);

JNIEXPORT void JNICALL clearNative(JNIEnv *, jobject);

JNIEXPORT jboolean JNICALL hasColors(JNIEnv *, jobject);

JNIEXPORT jboolean JNICALL setCursorNative(JNIEnv *, jobject, jint, jint);

JNIEXPORT void JNICALL syncNative(JNIEnv *, jobject);

JNIEXPORT void JNICALL setTermType(JNIEnv *, jclass, jstring);

JNIEXPORT jstring JNICALL getTermType(JNIEnv *, jclass);

JNIEXPORT jboolean JNICALL setCursorStatus(JNIEnv *, jobject, jboolean);

JNIEXPORT jint JNICALL readKey(JNIEnv *, jobject);

JNIEXPORT jint JNICALL getx(JNIEnv *, jobject);

JNIEXPORT jint JNICALL gety(JNIEnv *, jobject);

JNIEXPORT void JNICALL resume(JNIEnv *, jobject);

JNIEXPORT void JNICALL suspend(JNIEnv *, jobject);

JNIEXPORT void JNICALL resetMode(JNIEnv *, jobject);

